## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSetIterator Struct Template Reference

`#include <XalanSet.hpp>`

Collaboration diagram for XalanSetIterator:

[legend]
List of all members.

## Public Types

- typedef Value value_type
- typedef Value& reference
- typedef Value* pointer

## Public Methods

- XalanSetIterator (const MapIterator &iter)
- reference operator * () const
- bool operator== (const XalanSetIterator &theRhs) const
- bool operator!= (const XalanSetIterator &theRhs) const
- XalanSetIterator operator++ ()
- XalanSetIterator operator++ (int)

## Protected Attributes

- MapIterator m_mapIterator

### template<class Value, class MapIterator> struct XalanSetIterator

## Member Typedef Documentation

template<class Value, class MapIterator>
typedef Value * XalanSetIterator<Value, MapIterator>::pointer

template<class Value, class MapIterator>
typedef Value & XalanSetIterator<Value, MapIterator>::reference

template<class Value, class MapIterator>
typedef Value XalanSetIterator<Value, MapIterator>::value_type

## Constructor & Destructor Documentation

template<class Value, class MapIterator>
XalanSetIterator<Value, MapIterator>::XalanSetIterator<Value, MapIterator> ( | const MapIterator & iter )

## Member Function Documentation

template<class Value, class MapIterator>
reference XalanSetIterator<Value, MapIterator>::operator * ( | ) const

template<class Value, class MapIterator>
bool XalanSetIterator<Value, MapIterator>::operator!= ( | const XalanSetIterator<Value, MapIterator> & theRhs ) const

template<class Value, class MapIterator>
XalanSetIterator<Value, MapIterator> XalanSetIterator<Value, MapIterator>::operator++ ( | int )

template<class Value, class MapIterator>
XalanSetIterator<Value, MapIterator> XalanSetIterator<Value, MapIterator>::operator++ ( | )

template<class Value, class MapIterator>
bool XalanSetIterator<Value, MapIterator>::operator== ( | const XalanSetIterator<Value, MapIterator> & theRhs ) const

## Member Data Documentation

template<class Value, class MapIterator>
MapIterator XalanSetIterator<Value, MapIterator>::m_mapIterator`[protected]`

The documentation for this struct was generated from the following file:

- XalanSet.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.